View Issue Details

IDProjectCategoryView StatusLast Update
0010937MediaMonkey (current)DLNA/UPnPpublic2013-06-09 23:03
ReporterLudek 
PriorityimmediateSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.1 
Target Version4.1Fixed in Version4.1 
Summary0010937: Some addons cannot be re-installed when MM service is running
DescriptionWhen MM runs UPnP/DLNA as service (0007240) then it can came to problems when re-installing some addons.

1. MM codec pack cannot be re-installed, because the service uses e.g. f_aac_codec.dll for DLNA transcoding purposes
2. The service uses also scripts like Magic Nodes in order to share custom nodes (so re-installing of such a scripts can also fail)

The solution is to stop MM service before installing an addon and restart the service after addon installation has completed.
Additional Informationhttp://stackoverflow.com/questions/10850595/windows-service-start-and-stop-without-admin-privileges
http://stackoverflow.com/questions/4436558/start-stop-a-windows-service-from-a-non-administrator-user-account
TagsNo tags attached.
Fixed in build1641

Relationships

related to 0010910 closedLudek Running both MediaMonkey and MediaMonkey service can lead to errors 
child of 0007240 closedLudek Allow users to run UPnP/DLNA as service 

Activities

Ludek

2013-05-31 14:21

developer   ~0036257

Last edited: 2013-05-31 15:10

View 2 revisions

Fixed in build 1641.

Test note: service needs to be re-installed

Ludek

2013-05-31 16:24

developer   ~0036259

Last edited: 2013-06-06 11:16

View 2 revisions

Improved in build 1641 by running service only when MM is not running.
i.e. there is only one instance of MM.exe at a time

Test note: service needs to be re-installed

peke

2013-06-09 23:03

developer   ~0036400

Verified 1642